• Ian Abbott's avatar
    staging: comedi: amplc_pci230: remove "legacy" attach mechanism · ca5119c9
    Ian Abbott authored
    The "amplc_pci230" driver currently retains the legacy attach mechanism
    to allow devices to be attached manually via the `COMEDI_DEVCONFIG`
    ioctl.  The only real use for this is to pretend that a PCI230+ or
    PCI260+ is a PCI230 or PCI260 for backwards compatibility, as they have
    different number of bits of resolution on the AI subdevice.  Since the
    card would be automatically configured as a PCI230+ or PCI260+ at PCI
    probe time anyway, hopefully any users who want it to appear as a PCI230
    or PCI260 would have got tired of removing the automatically configured
    device and configuring it manually by now and will have updated their
    software to cope with the PCI230+ or PCI260+.
    
    Get rid of the legacy attach mechanism by removing the Comedi driver
    "attach" handler `pci230_attach()` and associated code.  Also remove the
    "wildcard" entry from the board table `pci230_boards[]` as it is no
    longer needed.  Don't bother initializing the `board_name`, `offset`,
    and `num_names` members of `struct comedi_driver amplc_pci230_driver`
    any longer as they are only needed when configuring the device manually.
    Signed-off-by: default avatarIan Abbott <abbotti@mev.co.uk>
    Reviewed-by: default avatarH Hartley Sweeten <hsweeten@visionengravers.com>
    Signed-off-by: default avatarGreg Kroah-Hartman <gregkh@linuxfoundation.org>
    ca5119c9
amplc_pci230.c 82.3 KB